> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leanpay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tags for a specific client property

> Retrieve all tags associated with a specific client property



## OpenAPI

````yaml https://public.leanpay.fr/openapi/leanpay_api_documentation.swagger.yaml get /client-properties/{clientPropertyId}/tags
openapi: 3.1.1
info:
  version: 1.0.0
  title: LeanPay Api documentation
  contact:
    email: integration@leanpay.fr
servers:
  - url: https://api.leanpay.fr/v1/public
security: []
tags:
  - name: clients
    description: Routes related to clients
  - name: invoices
    description: Routes related to invoices
  - name: credit-notes
    description: Routes related to credit notes
  - name: misc-operations
    description: Routes related to misc operations
  - name: contacts
    description: Routes related to client contacts
  - name: addresses
    description: Routes related to client addresses
  - name: payments
    description: Routes related to invoice payments
  - name: portal-payments
    description: >-
      Routes related to portal payments (online payments made by debtors from
      the customer portal)
  - name: paybacks
    description: Routes related to credit note paybacks
  - name: links
    description: Routes related to invoice/credit note links
  - name: comments
    description: Routes related to comments
  - name: deleted-elements
    description: Routes related to deleted elements
  - name: client-properties
    description: Routes related to client properties
paths:
  /client-properties/{clientPropertyId}/tags:
    get:
      tags:
        - client-properties
      summary: Get tags for a specific client property
      description: Retrieve all tags associated with a specific client property
      parameters:
        - in: path
          name: clientPropertyId
          required: true
          schema:
            type: string
            format: uuid
          description: The ID of the client property
      responses:
        '200':
          description: List of tags for the client property
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientPropertyTagsResponse'
        '400':
          description: Invalid client property id
        '404':
          description: Client property not found
      security:
        - authorization: []
components:
  schemas:
    ClientPropertyTagsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ClientPropertyTag'
      required:
        - data
    ClientPropertyTag:
      type: object
      properties:
        id:
          type: string
          format: uuid
        label:
          type: string
          maxLength: 80
          minLength: 1
        color:
          type: string
          enum:
            - red
            - orange
            - green
            - lightBlue
            - blue
            - purple
            - pink
            - brown
            - grey
            - yellow
      required:
        - id
        - label
        - color
  securitySchemes:
    authorization:
      type: apiKey
      name: Authorization
      in: header

````